JadeOfMaar

[1.9.1+] OPT Legacy 2.1.1 | Reconfig 2.1 [Aug 07, 2020]

Recommended Posts

When reading through the logs of my install, I found that KSP froze trying to create drag cubes on a few parts, which is why I asked in case it was the drag cube for that part you mentioned.

This means we have one less possible culprit. I am by no means talking bad about Kopernicus Continued. They are doing the best they can with such a monster of code and I wish that I knew more to help everyone.

Share this post


Link to post
Share on other sites

It may not be Kopernicus but something is definately screwing with the drag cubes:[

[LOG 23:19:30.412] PartLoader: Part 'ExtraplanetaryLaunchpads/Parts/launchpad2/part/ELLaunchpad2' has no database record. Creating.
[LOG 23:19:30.412] [DragCubeSystem]: Drag cubes not found or cannot be read for part Part. Generating New drag cubes.
[LOG 23:19:30.422] DragCubeSystem: Creating drag cubes for part 'ELLaunchpad2'
[EXC 23:19:30.604] MethodAccessException: Method `AT_Utils.UIBundle..ctor(string)' is inaccessible from method `ThrottleControlledAvionics.Globals..ctor()'
	ThrottleControlledAvionics.Globals..ctor () (at <6b7fa3d7611b439aac6a8345eebef6dd>:0)
	System.Reflection.MonoCMethod.InternalInvoke (System.Object obj, System.Object[] parameters) (at <ad04dee02e7e4a85a1299c7ee81c79f6>:0)
	Rethrow as TargetInvocationException: Exception has been thrown by the target of an invocation.
	System.Reflection.MonoCMethod.InternalInvoke (System.Object obj, System.Object[] parameters) (at <ad04dee02e7e4a85a1299c7ee81c79f6>:0)
	System.RuntimeType.CreateInstanceMono (System.Boolean nonPublic) (at <ad04dee02e7e4a85a1299c7ee81c79f6>:0)
	System.RuntimeType.CreateInstanceSlow (System.Boolean publicOnly, System.Boolean skipCheckThis, System.Boolean fillCache, System.Threading.StackCrawlMark& stackMark) (at <ad04dee02e7e4a85a1299c7ee81c79f6>:0)
	System.RuntimeType.CreateInstanceDefaultCtor (System.Boolean publicOnly, System.Boolean skipCheckThis, System.Boolean fillCache, System.Threading.StackCrawlMark& stackMark) (at <ad04dee02e7e4a85a1299c7ee81c79f6>:0)
	System.Activator.CreateInstance[T] () (at <ad04dee02e7e4a85a1299c7ee81c79f6>:0)
	AT_Utils.PluginGlobals`1[T].init_instance () (at <035d89da618a4ef3851a6436fc3029c5>:0)
	AT_Utils.PluginGlobals`1[T].Load () (at <035d89da618a4ef3851a6436fc3029c5>:0)
	AT_Utils.PluginGlobals`1[T].get_Instance () (at <035d89da618a4ef3851a6436fc3029c5>:0)
	ThrottleControlledAvionics.TCAScenario.get_HasTCA () (at <6b7fa3d7611b439aac6a8345eebef6dd>:0)
	ThrottleControlledAvionics.TCAScenario.ModuleStatusString () (at <6b7fa3d7611b439aac6a8345eebef6dd>:0)
	ThrottleControlledAvionics.ModuleTCA.GetPrimaryField () (at <6b7fa3d7611b439aac6a8345eebef6dd>:0)
	PartLoader.CompilePartInfo (AvailablePart newPartInfo, Part part) (at <c168e21ec56346b082f89043e76162e1>:0)
	PartLoader+<CompileParts>d__56.MoveNext () (at <c168e21ec56346b082f89043e76162e1>:0)
	UnityEngine.SetupCoroutine.InvokeMoveNext (System.Collections.IEnumerator enumerator, System.IntPtr returnValueAddress) (at <5aeafee3fea24f37abd1315553f2cfa6>:0)
	UnityEngine.DebugLogHandler:LogException(Exception, Object)
	ModuleManager.UnityLogHandle.InterceptLogHandler:LogException(Exception, Object)
	UnityEngine.Debug:CallOverridenDebugHandler(Exception, Object)

I did just update ATI utils and ATI utils is in that exemption. I'm gonna try to find the previous version & see if that does it. (The error is on EL because I actually uninstalled B9 Aerospace.)

Share this post


Link to post
Share on other sites

Tried to load the latest OPT Legacy and Reconfig, and got some errors...
i also have a lot of other mods, but this is the first time these kind of errors have happened.
RbQv2R2.png\

 

Log

 

Share this post


Link to post
Share on other sites
Posted (edited)

Success!

The latest release of AT Utils seems to be causing the problem. I reverted to 1.9.4 and the game loads just fine.
Also, by updating legacy to 2.1 I'm error free on load! (Legacy 2.1 & Reconfig 2.0.6.1)

Thanks for the hints @Azic Minar.

Also thanks @JadeOfMaar for the quick CKAN fix!

Edited by DefenderX1

Share this post


Link to post
Share on other sites
Posted (edited)
1 hour ago, JcoolTheShipbuilder said:

Tried to load the latest OPT Legacy and Reconfig, and got some errors...
i also have a lot of other mods, but this is the first time these kind of errors have happened.

Log

 

@JadeOfMaar I was helping Jcool diagnose this on discord.  Seems to be a bug in  OPT_B9PS_Cryo.cfg when KerbalAtomics but not CryoEngines is installed.

a_oms_hollow gets a tank subtype of OPTLH2O:

24673 [LOG 22:22:39.154] [ModuleManager] Applying update OPT_Reconfig/CRP/OPT_B9PS_Cryo/@PART:HAS[#manufacturer[OPT*Division],@MODULE[ModuleB9PartSwitch]]:NEEDS[B9PartSwitch,CryoEngines|KerbalAtomics,!Pathfinder,!ModularFuelTanks,!RealFuels] to OPT_Legacy/Parts/Avatar/OPT_a_oms_hollow/PART


OPTLH2O tank type doesn't exist if CryoEngines isn't installed:

B9_TANK_TYPE:NEEDS[CryoEngines,!ModularFuelTanks,!RealFuels]
{
	name = OPTLH2O

Err, now that I look again, each of the SUBTYPE nodes has :NEEDS[CryoEngines], so I'm not sure where it came rom.

Edited by JonnyOThan

Share this post


Link to post
Share on other sites
Posted (edited)

@JonnyOThan @JcoolTheShipbuilder I finally understand what was going on. The problem is that the RCS tank options config adds the LH2O tank type to all inline SAS parts (it cared whether either Kerbal Atomics or Cryogenic Engines was installed) but the tank definition for LH2O cared only whether CryoEngines was installed. This is the disconnect that plagues players who use Kerbal Atomics and not Cryogenic Engines. Well. It's gone now.

Reconfig 2.0.7

  • Finally understood and fixed the KerbalAtomics/OPTLH2O problem.

DOWNLOAD RECONFIG :: SPACEDOCK :: GITHUB

Edited by JadeOfMaar

Share this post


Link to post
Share on other sites

I'm getting a bug in 1.10. None of the OPT tanks have a switch to select its fuel type any more.

Here's a picture with the console log just after i added a tank to a cockpit:
https://imgur.com/a/bJqxJuD

 

Share this post


Link to post
Share on other sites

Looks like B9PartsSwitch isn't installed at all or correctly, it controls the tank selections. Try installing/reinstalling it.

Share this post


Link to post
Share on other sites
4 hours ago, Nicky21 said:

I'm getting a bug in 1.10. None of the OPT tanks have a switch to select its fuel type any more.

Here's a picture with the console log just after i added a tank to a cockpit:
https://imgur.com/a/bJqxJuD

 

I think you can use another available fuel switch plug-in instead of b9partsswitch, which often has compatibility problems 

Share this post


Link to post
Share on other sites
Posted (edited)
4 hours ago, yjpd1987 said:

I think you can use another available fuel switch plug-in instead of b9partsswitch, which often has compatibility problems 

I tested alista's Configurable containers, and it indeed works.

Edited by Nicky21

Share this post


Link to post
Share on other sites
Posted (edited)
22 hours ago, Nicky21 said:

I'm getting a bug in 1.10. None of the OPT tanks have a switch to select its fuel type any more.

Here's a picture with the console log just after i added a tank to a cockpit:
https://imgur.com/a/bJqxJuD

 

Not a bug. According to your screenshot you have Configurable Containers installed. Once you have other certain fuel switchers installed (In your case, once you have any of Allista's mods, you have Configurable Containers) you don't get to use B9. That's how it is. But it helps to make sure you have OPT Reconfig 2.0.3 or newer as that's where I fixed the detection of Configurable Containers.

OPT Reconfig is watching for this specific directory: GameData/ConfigurableContainers/Parts/ (which is actually just full of tank patches) to know that you're using that mod.

Finally, the console info in the screenshot isn't at all helpful. The "simulation" stuff sounds like a life support calculator (confirmed by the presence of USI LS).

Edited by JadeOfMaar

Share this post


Link to post
Share on other sites
On 7/26/2020 at 9:27 PM, JadeOfMaar said:

Not a bug. According to your screenshot you have Configurable Containers installed. Once you have other certain fuel switchers installed (In your case, once you have any of Allista's mods, you have Configurable Containers) you don't get to use B9. That's how it is. But it helps to make sure you have OPT Reconfig 2.0.3 or newer as that's where I fixed the detection of Configurable Containers.

 

Ohhhhhhh! That makes so much sense now. Just started modding the game and am having issue with KSP Interstellar and Near Future Technologies working. It's B9 Part Switch! I didn't get what that did. Now I get it. The Interstellar Part Switch module is messing with my LH2O  tanks. Haha!

I ended up installing Configurable Containers in an attempt to fix my issues. 

Share this post


Link to post
Share on other sites

bTbsl9J.pngPNywtA0.png

lKGL1sU.png

 

OPT Spaceplane Continued 2.1

  • Now available for KSP 1.9.1 and later with CKAN.
  • No longer contains old plugin bundles.
  • Now requires OPT Reconfig.

OPT Legacy 2.1.1

  • Deleted files concerning agency and categories. Moved to OPT Reconfig.
  • Updated VIsp patches to not activate when KSP Interstellar is installed.

OPT Reconfig 2.1

  • Absorbed and unified configs and other resources from OPT Main (now Continued).
    • Agencies with updated logos.
    • Flags. New and replaced ones.
  • Added colors to B9 tank options for NF Propulsion.
  • Added Water to Rational Resources B9 tank options.

DOWNLOAD OPT CONTINUED :: SPACEDOCK

DOWNLOAD LEGACY :: SPACEDOCK :: GITHUB

DOWNLOAD RECONFIG :: SPACEDOCK :: GITHUB

@linuxgurugamer Please set OPT Continued relationships:

  • Requires: B9 Part Switch, Community Resource Pack, OPT Reconfig
  • Recommends: OPT Legacy, Raster Prop Monitor

 

 

Share this post


Link to post
Share on other sites
9 minutes ago, JadeOfMaar said:

@linuxgurugamer Please set OPT Continued relationships:

  • Requires: B9 Part Switch, Community Resource Pack, OPT Reconfig
  • Recommends: OPT Legacy, Raster Prop Monitor

Netkan?  Sure

Share this post


Link to post
Share on other sites

@linuxgurugamer Yeah. Also, set any references to the older OPT Spaceplane in OPT Legacy and OPT Reconfig to point to OPT Spaceplane Continued. :) Many thanks.

Share this post


Link to post
Share on other sites

@JadeOfMaar I don't see OPTContinued in CKAN at all. I do see the following:

 

  • OPT Reconfig
  • Orbit Portal Technology (OPT) Spaceplane Parts (Legacy)

Oh!  It failed, ok, I'll get it in

Share this post


Link to post
Share on other sites

k- -- i think this might the right forum to post this. I moved from ksp 1.7.3 to 1.9.1, updated mods and now i have an annoying - to me - issue. when i drop in the mix of mods kerbal atomics/cryogenic engines... it sets OPT engines like J-92 to use LH2. I don't want that and I suspect this is driven by the Reconfig mod. Can i get some 'guidance' in resetting the engines back to liquid fuel? 

Share this post


Link to post
Share on other sites
12 hours ago, JadeOfMaar said:

@pp3d Correct. OPT Reconfig does that. To stop it, delete OPT_Reconfig/CRP/OPT_CryoEngine.cfg

This fixed the ones i was looking for... however legacy parts --- the HellCarrier Hybrid Engine for example will still try to use H2 instead of liquid in the airbreathing mode even though the part info in the game says liquid fuel.

Edited by pp3d

Share this post


Link to post
Share on other sites

Im missing research nodes preceeding covert aeronautics 2 (dark drive).

Edit: It would appear that the tech tree is more broken than i initialy thought. HAE-02, ARI-75b and J-92 Nebula engines are in both Aerospace Tech and Experimental Aircraft Engines nodes.

Edited by Uni Kerman

Share this post


Link to post
Share on other sites

Love this mod!  But there are some oddities about the warp saddle vto jets.  They have open and closed mode but the closed mode still use intake air.  And their thrust is rather low espicially at sea level making it real hard for them to actually allow vtol operations.

Cosmetically the intake flaps on the top of the engines do not move when opening or closing them.

Share this post


Link to post
Share on other sites
12 hours ago, captinjoehenry said:

Love this mod!  But there are some oddities about the warp saddle vto jets.  They have open and closed mode but the closed mode still use intake air.  And their thrust is rather low espicially at sea level making it real hard for them to actually allow vtol operations.

Cosmetically the intake flaps on the top of the engines do not move when opening or closing them.

I'm assuming, you're talking about MARGE VTOL warpjets (the big, boxy ones). Their closed cycle mode is designed to function like an ion VASIMR engine (low thrust and reasonably high ISP that can be adjusted for even lower thrust with higher ISP) with stored intakeAtm used as propellant. And given what you're saying, it looks like you're trying to run them closed-cycle while in atmoshpere - you need to use open cycle more as long as you have enough air around. MARGEs in open cycle should have something like 400 kN at standstill and ~850 kN once they gets going.

------------------------

My spaceplane in the SPH. Note how the part info shows two engine modes with the first one having higher thrust (480) and ISP range of 240-300. This is the open mode, meant to be used with intake atm collected through air intakes. This is what you use while flying in atmosphere. The other mode is (WJClosed) VASIMR-like with vacuum ISP of 3000 to 6000 depending on what VIsp mode you choose. While in this mode the engine produces nearly no thrust in atmosphere - it's the vacuum mode (with intake atm being drawn from whatever internal storage you have).

KGeYDr3.png

This is my plane beginning to accelerate on the runway using open mode of MARGEs. It already has thrust of over 400N and it's not even at its optimal altitude/speed for this mode.

L39uXEb.png

Flying high and fast. Each MARGE is now outputting over 800kN of thrust

uEsHj6H.png

Edited by NHunter

Share this post


Link to post
Share on other sites

Hello everybody,

I couldn't find a better place to post this, please move/delete/whatever if anyone is not happy with this here:

What are the requirements/dependencies for running OPT on KSP 1.8.1 nowadays??

 

many thanks in advance for any help.

 

Daf

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.